<%
/**************************************************************
**
**	(C) Aquaforest Limited 2002 - 2008
**
**	FILE 
**	config.inc		
** 
**	DESCRIPTION	
**	TIFF Server Viewer Configuration
**
***************************************************************/


// Backend Config - Allowable Values : .NET, CGI, DB

var browserType=Request.ServerVariables("HTTP_USER_AGENT");

var ts_backend=".NET";

// Audit File Path - empty string for no auditing - see section 13 of the reference guide

var ts_audit_file="";

// Detailed .Net Backend Configuration :

var ts_net_backend="ALL"; // GDIONLY, ALL or CUSTOM 

// Database Configuration - SHAREPOINT or DB 
var ts_db_type="SHAREPOINT";

var ts_secure_redaction=false; // For burnt-in redactions, set to true.  This can slow down PDF generation and printing somewhat.

var redaction_arch_folder=""; // Set to archive folder if permanent redaction function is used.

var enable_cookies=true; // To retain page display preferences between documents

if(ts_backend=="CGI")
{
	var ts_url_mappath=true; /* URL Should be mapped to path before passing to any of the following */
	var ts_image_url="aquatiff.exe"; /* Backend Image Processing */
	var ts_an_url="tsspan.aspx"; /* Backend Annotation Processing */
	var ts_info_url="tiffpilot.exe"; /* Image Info Delivery */
	var ts_pdf_url="tiffpilot.exe"; /* Backend PDF Generation */
}
else if(ts_backend==".NET")
{
	var ts_url_mappath=true; /* URL Should be mapped to path before passing to any of the following */
	var ts_image_url="tssp.aspx"; /* Backend Image Processing */
	var ts_an_url="tsspan.aspx"; /* Backend Annotation Processing */
	var ts_info_url="tssp.aspx"; /* Image Info Delivery */
	var ts_pdf_url="tssppdf.aspx"; /* Backend PDF Generation */

}
else if(ts_backend=="DB")
{
	var ts_url_mappath=false; /* URL Should be mapped to path before passing to any of the following */
	var ts_image_url="tssp.aspx"; /* Backend Image Processing */
	var ts_an_url="tsspan.aspx"; /* Backend Annotation Processing */
	var ts_info_url="tssp.aspx"; /* Image Info Delivery */
	var ts_pdf_url="tssppdf.aspx"; /* Backend PDF Generation */
	
	if(ts_db_type=="DB")
	{
	    /* Default Database Settings */
	    var ts_cstring="Server=127.0.0.1;User Id=sa;Password=sa;Initial Catalog=tiffserver_docs;";
	    var ts_image_table="tiffserver_docs_table";
	    var ts_image_table_key="doc_id";	
	    var ts_image_column="doc_contents";
	    var ts_annotation_table="tiffserver_docs_table";
	    var ts_annotation_table_key="doc_id";		
	    var ts_annotation_column="doc_annotations";	
	}
	else
	if(ts_db_type=="SHAREPOINT")
	{
	    /* Default Database Settings */
	    var ts_cstring="Server=127.0.0.1;User Id=sa;Password=;Initial Catalog=WSS_Content_...;";
	    var ts_image_table="DocStreams";
	    var ts_image_table_key="Id";	
	    var ts_image_column="Content";
	    var ts_annotation_table="";
	    var ts_annotation_table_key="";		
	    var ts_annotation_column="";	
	}
	Session["ts_cstring"]=ts_cstring;
	Session["ts_image_table"]=ts_image_table;
	Session["ts_image_table_key"]=	ts_image_table_key;
	Session["ts_image_column"]=ts_image_column;
	Session["ts_annotation_table"]=ts_annotation_table;
	Session["ts_annotation_table_key"]=	ts_annotation_table_key	;
	Session["ts_annotation_column"]=ts_annotation_column;		
}



/* Annotation Form Field Limit */

var an_form_limit=10000;


/* Print Method in atf004.aspx */

var atf004_use_embed=true;



function AFencodeURIComponent(s)
{
	return(escape(s));
}

function AFdecodeURIComponent(s)
{
	return(unescape(s));
}



Session["ts_backend"]=ts_backend;
Session["ts_net_backend"]=ts_net_backend;
Session["ts_secure_redaction"]=ts_secure_redaction;
Session["ts_audit_file"]=ts_audit_file;

Session["ts_renderpdf_dpi"]=150;
Session["ts_renderpdf_resize_quality"]=1;

Session["alt_annotation_location"]="";

%>





