/**************************************************************
**
**	(C) Aquaforest Limited 2004
**
**	FILE 
**	config.js		
**
**	DESCRIPTION	
**	TIFF Explorer Common Functions (Client JavaScript Version)
**	
**
**	DATE		VERSION LOG
**
**************************************************************/
var explore;
var search;
var default_doctype;
var multi_page_TIFF;
var auto_convert_to_pdf;
var max_search_results;
var max_directory_display;
var default_view;
var num_roots=0;
var num_doctypes=0;
var root;

var root_path=new Array();
var path_display_name=new Array();

var doctype_name=new Array();
var doctype_lowest_level_type=new Array();
var doctype_results_type=new Array();
var doctype_root=new Array();
var doctype_attribute_count=new Array();
var doctype_attributes=new Array();
var xml=new ActiveXObject("Microsoft.XMLDOM");

function verify() { 
        if(xml.readyState!=4)
                return false; 
}

function teClientGetRootConfig(config)
{

var config_file="./config/"+config+".xml";
try{

xml.async="false";
xml.onreadystatechange=verify;
xml.load(config_file);

root=xml.documentElement;

explore=root.selectSingleNode("explore").text;
search=root.selectSingleNode("search").text;
default_doctype=root.selectSingleNode("default_doctype").text;
multi_page_TIFF=root.selectSingleNode("multi_page_TIFF").text;
auto_convert_to_pdf=root.selectSingleNode("auto_convert_to_pdf").text;
max_search_results=root.selectSingleNode("max_search_results").text;
max_directory_display=root.selectSingleNode("max_directory_display").text;
default_view=root.selectSingleNode("default_view").text;

var r=new Enumerator(root.getElementsByTagName("root"));

for(; !r.atEnd(); r.moveNext())
{

	var xn=r.item();
	root_path[num_roots]=xn.selectSingleNode("root_path").text.replace(/\\/g,"/");
	path_display_name[num_roots]=xn.selectSingleNode("path_display_name").text;

	num_roots++;
}


/* doc types */
var d=new Enumerator(root.getElementsByTagName("doctype"));


for(; !d.atEnd(); d.moveNext())
{

	var xn=d.item();
	try {
	doctype_name[num_doctypes]=''+xn.selectSingleNode("doctype_name").text;
	} 	catch(e) { doctype_name[num_doctypes]=''; }
	
	try {
	doctype_lowest_level_type[num_doctypes]=''+xn.selectSingleNode("doctype_lowest_level_type").text;
	} 	catch(e) { doctype_lowest_level_type[num_doctypes]=''; }
	
	try {
	doctype_results_type[num_doctypes]=''+xn.selectSingleNode("doctype_results_type").text;
	} 	catch(e) { doctype_results_type[num_doctypes]=''; } 
	
	try {
	doctype_root[num_doctypes]=''+xn.selectSingleNode("doctype_root").text;
	} 	catch(e) { doctype_root[num_doctypes]=''; }
	
	try {	
	doctype_attribute_count[num_doctypes]=''+xn.selectSingleNode("doctype_attribute_count").text;
	} 	catch(e) { doctype_attribute_count[num_doctypes]='0'; }


	num_attributes=0;
	doctype_attributes[num_doctypes]=new Object();
	doctype_attributes[num_doctypes].att=new Array();
	var a=new Enumerator(xn.getElementsByTagName("attribute"));

	for(; !a.atEnd(); 
		a.moveNext())
	{
		var xn=a.item();
		doctype_attributes[num_doctypes].att[num_attributes]=new Object();
		
		doctype_attributes[num_doctypes].att[num_attributes].name=
			new Object(xn.getAttribute("name"));	
			
		doctype_attributes[num_doctypes].att[num_attributes].defaultvalue=
			new Object(xn.getAttribute("defaultvalue"));

		doctype_attributes[num_doctypes].att[num_attributes].size=
			new Object(xn.getAttribute("size"));		

		doctype_attributes[num_doctypes].att[num_attributes].drop_down_list=
			new Object(xn.getAttribute("drop_down_list"));	

		doctype_attributes[num_doctypes].att[num_attributes].level=
			new Object(xn.getAttribute("level"));		

		doctype_attributes[num_doctypes].att[num_attributes].isvisible=
			new Object(xn.getAttribute("isvisible"));	
	
		num_attributes++;
	}
	num_doctypes++;
}

}
catch(e)
{
	alert("Error Processing Config File ("+config_file+") :"+e.message);
}

}

function teDateFormat(d)
{

	var formatted_date;

	if(d==null || d=="null") return(d);

	var display_day="";
	var display_months="";
	var display_date="";

	var months=new Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");
	var days=new Array("Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday");

	d=new Date(d);
	day_of_month=d.getDate();
	if(day_of_month<10)day_of_month='0'+day_of_month;
	month=d.getMonth()+1;
	year=d.getYear();
	hour=d.getHours();
	minute=d.getMinutes();
	second=d.getSeconds();

	if(hour<10) hour='0'+hour;
	if(minute<10) minute='0'+minute;
	if(second<10) second='0'+second;

	display_day=days[d.getDay()];
	display_months=day_of_month+' '+months[month-1]+' '+year;
	display_date=day_of_month+'-'+months[month-1]+'-'+year;
	
	if((hour+minute+second)==0) 
	{
		formatted_date=display_date;
	}
	else
	{
		formatted_date=display_date+' '+hour+':'+minute+':'+second;
	}

	return(formatted_date);
}


